<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [FileChooser](./puppeteer.filechooser.md)

## FileChooser class

<b>Signature:</b>

```typescript
export declare class FileChooser 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(element, event)](./puppeteer.filechooser._constructor_.md) |  | Constructs a new instance of the <code>FileChooser</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [accept(filePaths)](./puppeteer.filechooser.accept.md) |  |  |
|  [cancel()](./puppeteer.filechooser.cancel.md) |  |  |
|  [isMultiple()](./puppeteer.filechooser.ismultiple.md) |  |  |

